Problem z uruchomieniem usługi MySQL

0

Witajcie

Chciałbym wykorzystać MySQL do stworzenia bazy danych potrzebnej rzecz jasna do programu napisanego w Pythonie. Pracuję na Linuxie, na którym pakiet MySQL został zainstalowany automatycznie. Zwykle sam staram się rozwiązać problemy i ewentualnie szukam informacji na internecie. W 90% przypadków udaje mi się rozwiązać te problemy natomiast ten należy niestety do tych 10%. Szukałem na tym forum tego typu tematu i znalazłem, ale nikt w nim nie odpowiedział. Sprawdzałem wszelkie rozwiązania ze stackoverflow, ale żadne rozwiązanie nie pomogło. Oto problem:

[email protected]:~# /etc/init.d/mysql start
[ ok ] Starting mysql (via systemctl): mysql.service.
[email protected]:~# mysql -u root
ERROR 2002 (HY000): Can't connect to local MySQL server through socket '/var/lib/mysql/mysql.sock' (2 "No such file or directory")

Włączyłem usługę mysql, po czym próbowałem ją uruchomić w sposób pokazany powyżej i pokazał się błąd ERROR 2002 (HY000): Can't connect to local MySQL server through socket '/var/lib/mysql/mysql.sock' (2 "No such file or directory"), z którym nie mogę sobie poradzić.

[email protected]:~# mysql -u root -h 127.0.0.1
ERROR 1698 (28000): Access denied for user 'root'@'localhost'

Probówałem połączyć się poprzez numer ip zamiast 'localhost', ale również ten sposób niestety nie działa.

[email protected]:~# apt-get install mysql-server
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności       
Odczyt informacji o stanie... Gotowe
Pakiet mysql-server nie ma dostępnej wersji, ale odnosi się do niego inny pakiet.
Zazwyczaj oznacza to, że pakietu brakuje, został zastąpiony przez inny
pakiet lub nie jest dostępny przy pomocy obecnie ustawionych źródeł.

E: Pakiet mysql-server nie ma kandydata do instalacji

Próbowałem zainstalować pakiet mysql-server, ale co ciekawe pakiet ten nie został odnaleziony w rezpozytorium.

[email protected]:~# cat /etc/apt/sources.list
# 
deb http://http.kali.org/kali kali-rolling main non-free contrib
# deb cdrom:[Debian GNU/Linux 2017.1 _Kali-rolling_ - Official Snapshot i386 LIVE/INSTALL Binary 20170416-07:26]/ kali-rolling contrib main non-free
#deb cdrom:[Debian GNU/Linux 2017.1 _Kali-rolling_ - Official Snapshot i386 LIVE/INSTALL Binary 20170416-07:26]/ kali-rolling contrib main non-free

Sprawdziłem więc zawartość sources.list, ale zawartość tego pliku jest poprawna i normalnie powinno wykrywać pakiety w repozytorium i w przypadku innych pakietów rzeczywiście wykrywa je poprawnie. Oto przykład:

[email protected]:~# apt-get install tor
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności       
Odczyt informacji o stanie... Gotowe
Następujące pakiety zostały zainstalowane automatycznie i nie są już więcej wymagane:
  dconf-editor dconf-tools libgnome-autoar-common libpango1.0-0 libpangox-1.0-0 rename
Aby je usunąć należy użyć "apt autoremove".
The following additional packages will be installed:
  libevent-2.1-6 libzstd1 tor-geoipdb torsocks
Sugerowane pakiety:
  mixmaster torbrowser-launcher tor-arm apparmor-utils obfsproxy obfs4proxy
Zostaną zainstalowane następujące NOWE pakiety:
  libevent-2.1-6 libzstd1 tor tor-geoipdb torsocks
0 aktualizowanych, 5 nowo instalowanych, 0 usuwanych i 273 nieaktualizowanych.
Konieczne pobranie 3215 kB archiwów.
Po tej operacji zostanie dodatkowo użyte 12,4 MB miejsca na dysku.
Kontynuować? [T/n] 

Nie wiem jak poradzić sobie z tym errorem, a bardzo zależy mi żeby pracować na Linuxie. Byłbym bardzo wdzięczny za pomoc.

0

Krótka instrukcja jak to zrobić:

  1. Wywal Kali
  2. Zainstaluj dystrybucję służącą do użytku codziennego.
  3. Olej MySQL i zainstaluj PostgreSQL
  4. Profit
0
hauleth napisał(a):

Krótka instrukcja jak to zrobić:

  1. Wywal Kali
  2. Zainstaluj dystrybucję służącą do użytku codziennego.
  3. Olej MySQL i zainstaluj PostgreSQL
  4. Profit

Dzięki za odpowiedź. Chciałbym ten problem w jakiś sposób rozwiązać i zrozumieć dlaczego on wystąpił, a nie zmieniać dystrybucję i wklepać "apt-get install mysql-server" i cieszyć się, że mam mysql'a. W ten sposób to już dawno miałbym problem "rozwiązany".

2

@Shizzer: ta dystrybucja nie służy do normalnej pracy, tylko jest wysoko wyspecjalizowana, w związku z czym usuwa niepotrzebne pakiety.

Przeczytaj -> https://unix.stackexchange.com/a/399627/13194

0
hauleth napisał(a):

@Shizzer: ta dystrybucja nie służy do normalnej pracy, tylko jest wysoko wyspecjalizowana, w związku z czym usuwa niepotrzebne pakiety.

Przeczytaj -> https://unix.stackexchange.com/a/399627/13194

Dziękuję za wyjaśnienie sprawy

1 użytkowników online, w tym zalogowanych: 0, gości: 1